<?php

namespace App\Http\Requests;

use Illuminate\Database\Query\Builder;
use Illuminate\Support\Facades\Auth;

trait RuleHelper
{
    protected function userCompanyWhere(): \Closure
    {
        return fn (Builder $query) => $query->where('company_id', Auth::user()->company_id);
    }
}
