<?php

namespace App\ModelFilters;

use EloquentFilter\ModelFilter;

class AssetFilter extends ModelFilter
{
    /**
    * Related Models that have ModelFilters as well as the method on the ModelFilter
    * As [relationMethod => [input_key1, input_key2]].
    *
    * @var array
    */
    public $relations = [];

    public function status($status): ModelFilter
    {
        return $this->where('status', $status);
    }

    public function code($code): ModelFilter
    {
        return $this->where('code', 'like', "%$code%");
    }

    public function name($name): ModelFilter
    {
        return $this->where('name', 'like', "%$name%");
    }
}
