<?php

namespace Tests\Feature\API;

use App\Models\Requirement;
use Illuminate\Foundation\Testing\RefreshDatabase;
use Illuminate\Foundation\Testing\WithFaker;
use Tests\Feature\TestCase;

class RequirementTest extends TestCase
{
    public function test_requirement_create(): void
    {
        $form = Requirement::factory()->make();

        $response = $this->post(route('requirement.store'), $form->toArray());

        $response->assertStatus(201);
    }
}
