<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Plan extends Model
{
    use HasFactory;

    protected $fillable = [
        'title',
        'asset_id',
        'parent_id',
        'begin',
        'end',
        'description',
    ];

    public $timestamps = false;

    public function requirements()
    {
        return $this->belongsToMany(Requirement::class, 'plan_requirement', 'plan_id', 'requirement_id');
    }
}
